package vn.azteam.tpf.service.dto;

import java.io.Serializable;
import java.time.Instant;
import java.util.List;

/**
 * A DTO for the ActivityCropStatus entity.
 */
public class ActivityEnvironmentUpdateDTO implements Serializable {

    private Long cropId;

    private Instant executeDate;

    private String media;

    private String description;

    private String executeBy;

    private List<TBEnvironmentUpdateDTO> environmentUpdates;

    public Instant getExecuteDate() {
        return executeDate;
    }

    public void setExecuteDate(Instant executeDate) {
        this.executeDate = executeDate;
    }

    public String getMedia() {
        return media;
    }

    public void setMedia(String media) {
        this.media = media;
    }

    public String getDescription() {
        return description;
    }

    public void setDescription(String description) {
        this.description = description;
    }

    public String getExecuteBy() {
        return executeBy;
    }

    public void setExecuteBy(String executeBy) {
        this.executeBy = executeBy;
    }

    public Long getCropId() {
        return cropId;
    }

    public void setCropId(Long cropId) {
        this.cropId = cropId;
    }

    public List<TBEnvironmentUpdateDTO> getEnvironmentUpdates() {
        return environmentUpdates;
    }

    public void setEnvironmentUpdates(List<TBEnvironmentUpdateDTO> environmentUpdates) {
        this.environmentUpdates = environmentUpdates;
    }
}
